#!/usr/bin/env python3
#
# Copyright (c) 2024 Stormux
# Copyright (c) 2010-2012 The Orca Team
# Copyright (c) 2012 Igalia, S.L.
# Copyright (c) 2005-2010 Sun Microsystems Inc.
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation; either
# version 2.1 of the License, or (at your option) any later version.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the
# Free Software Foundation, Inc., Franklin Street, Fifth Floor,
# Boston MA  02110-1301 USA.
#
# Fork of Orca Screen Reader (GNOME)
# Original source: https://gitlab.gnome.org/GNOME/orca

"""Test of page summary"""

from macaroon.playback import *
import utils

sequence = MacroSequence()

#sequence.append(WaitForDocLoad())
sequence.append(PauseAction(5000))

sequence.append(utils.StartRecordingAction())
sequence.append(TypeAction("6"))
sequence.append(utils.AssertPresentationAction(
    "1. Navigate to 'This is a Heading 6.'",
    ["BRAILLE LINE:  'This is a Heading 6. h6'",
     "     VISIBLE:  'This is a Heading 6. h6', cursor=1",
     "SPEECH OUTPUT: 'This is a Heading 6. heading level 6'"]))

sequence.append(utils.StartRecordingAction())
sequence.append(KeyComboAction("KP_Enter"))
sequence.append(KeyComboAction("KP_Enter"))
sequence.append(PauseAction(5000))
sequence.append(utils.AssertPresentationAction(
    "2. Where Am I for page summary info",
    ["BRAILLE LINE:  'This is a Heading 6. h6'",
     "     VISIBLE:  'This is a Heading 6. h6', cursor=1",
     "BRAILLE LINE:  'This is a Heading 6. h6'",
     "     VISIBLE:  'This is a Heading 6. h6', cursor=1",
     "SPEECH OUTPUT: 'heading level 6.'",
     "SPEECH OUTPUT: 'This is a Heading 6.'",
     "SPEECH OUTPUT: 'Page has 0 landmarks, 14 headings, 3 forms, 43 tables, 0 visited links, 11 unvisited links.'"]))

sequence.append(utils.AssertionSummaryAction())
sequence.start()
